﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.ServiceModel;

namespace HeuristicLab.Services.Access {
  [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall)]
  public class AccessService : IAccessService {
    #region IAccessService Members

    public bool ClientExists(System.Guid id) {
      throw new System.NotImplementedException();
    }

    public DataTransfer.Client GetClient(System.Guid id) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.Client> GetClients() {
      throw new System.NotImplementedException();
    }

    public System.Guid AddClient(DataTransfer.Client client) {
      throw new System.NotImplementedException();
    }

    public void UpdateClient(DataTransfer.Client client) {
      throw new System.NotImplementedException();
    }

    public void DeleteClient(DataTransfer.Client client) {
      throw new System.NotImplementedException();
    }

    public DataTransfer.ClientLog GetLastClientLog(System.Guid clientId) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.ClientLog> GetClientLogs(System.Guid clientId) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.ClientLog> GetClientLogsSince(System.DateTime startDate) {
      throw new System.NotImplementedException();
    }

    public void AddClientLogEntry(DataTransfer.ClientLog log) {
      throw new System.NotImplementedException();
    }

    public void DeleteClientLogEntry(DataTransfer.ClientLog log) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.ClientGroup> GetClientGroups() {
      throw new System.NotImplementedException();
    }

    public System.Guid AddClientGroup(DataTransfer.ClientGroup group) {
      throw new System.NotImplementedException();
    }

    public void UpdateClientGroup(DataTransfer.ClientGroup group) {
      throw new System.NotImplementedException();
    }

    public void DeleteClientGroup(DataTransfer.ClientGroup group) {
      throw new System.NotImplementedException();
    }

    public void Login() {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.User> GetUsers() {
      throw new System.NotImplementedException();
    }

    public DataTransfer.User AddUser(DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void DeleteUser(DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void UpdateUser(DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void AddUserToRole(DataTransfer.Role role, DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void RemoveUserFromRole(DataTransfer.Role role, DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void ResetPassword(DataTransfer.User user, string password) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.Role> GetRoles() {
      throw new System.NotImplementedException();
    }

    public DataTransfer.Role AddRole(DataTransfer.Role role) {
      throw new System.NotImplementedException();
    }

    public void UpdateRole(DataTransfer.Role role) {
      throw new System.NotImplementedException();
    }

    public void DeleteRole(DataTransfer.Role role) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.Role> GetUserRoles(DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.UserGroup> GetUserGroups() {
      throw new System.NotImplementedException();
    }

    public DataTransfer.UserGroup AddUserGroup(DataTransfer.UserGroup group) {
      throw new System.NotImplementedException();
    }

    public void UpdateUserGroup(DataTransfer.UserGroup group) {
      throw new System.NotImplementedException();
    }

    public void DeleteUserGroup(DataTransfer.UserGroup group) {
      throw new System.NotImplementedException();
    }

    #endregion
  }
}
